Summary:	C library for reading, creating, and modifying zip archives
Summary(pl.UTF-8):	Biblioteka C do odczytu, zapisu i modyfikacji archiwów zip
Name:		libzip
Version:	1.0.1
Release:	1
License:	BSD
Group:		Libraries
Source0:	http://www.nih.at/libzip/%{name}-%{version}.tar.xz
# Source0-md5:	e2371fc6f04a46efdaf8cbf4118ffafd
URL:		http://www.nih.at/libzip/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool >= 2:2
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	zlib-devel >= 1.1.2
Requires:	zlib >= 1.1.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libzip is a C library for reading, creating, and modifying zip
archives. Files can be added from data buffers, files or compressed
data copied directly from other zip archives. Changes made without
closing the archive can be reverted.

%description -l pl.UTF-8
libzip jest biblioteką C do odczytu, zapisu i modyfikacji archiwów
zip. Pliki mogą być dodawane z buforów, plików lub skompresowanych
danych kopiowanych bezpośrednio z innych archiwów zip. Wykonane zmiany
mogą zostać cofnięte przed zamknięciem archiwum.

%package devel
Summary:	Header files for libzip library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libzip
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	zlib-devel >= 1.1.2

%description devel
Header files for libzip library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libzip.

%package static
Summary:	Static libzip library
Summary(pl.UTF-8):	Statyczna biblioteka libzip
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libzip library.

%description static -l pl.UTF-8
Statyczna biblioteka libzip.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libzip.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS LICENSE NEWS README THANKS TODO
%attr(755,root,root) %{_bindir}/zipcmp
%attr(755,root,root) %{_bindir}/zipmerge
%attr(755,root,root) %{_libdir}/libzip.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libzip.so.4
%{_mandir}/man1/zipcmp.1*
%{_mandir}/man1/zipmerge.1*

%files devel
%defattr(644,root,root,755)
%doc API-CHANGES
%attr(755,root,root) %{_libdir}/libzip.so
%dir %{_libdir}/libzip
%{_libdir}/libzip/include
%{_includedir}/zip.h
%{_pkgconfigdir}/libzip.pc
%{_mandir}/man3/ZIP_SOURCE_GET_ARGS.3*
%{_mandir}/man3/libzip.3*
%{_mandir}/man3/zip_*.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libzip.a
%changelog
* Mon Jul 27 2015 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/libzip.git;a=log;h=master

* Sun May 10 2015 Jakub Bogusz <qboosh@pld-linux.org> 58a1b75
- updated to 1.0.1 (note: new soname, removed ziptorrent)
- removed obsolete CVE-2015-2331 patch

* Fri Apr 24 2015 Kacper Kornet <draenog@pld-linux.org> 6800fef
- fix CVE-2015-2331

* Sat Mar 07 2015 Jan Rękorajski <baggins@pld-linux.org> b23bce3
- release 2 (by relup.sh)

* Mon Mar 10 2014 Jakub Bogusz <qboosh@pld-linux.org> f82d385
- updated to 0.11.2
- removed fix_headers patch (zipconf.h is potentially arch-dependent and kept
in arch-dependent dir for multilib configurations); use pkg-config to get complete CFLAGS
- removed outdated php-changes patch (similar changes already upstream)

* Fri Jul 05 2013 Jakub Bogusz <qboosh@pld-linux.org> 916db4c
- updated to 0.11.1

* Wed Aug 22 2012 Elan Ruusamäe <glen@delfi.ee> 61e96d1
- up date php patch from fedora; rel 2

* Wed Mar 21 2012 Jakub Bogusz <qboosh@pld-linux.org> ae4ffd9
- updated to 0.10.1

* Mon Sep 26 2011 Elan Ruusamäe <glen@pld-linux.org> 042907d
- 0.10 resolves CVE-2011-0421

* Mon Sep 26 2011 Elan Ruusamäe <glen@pld-linux.org> cf5ebeb
- add php changes patch

* Fri Mar 25 2011 Bartłomiej Zimoń <cactus@pld-linux.org> 8843772
- add fix_headers patch; rel 2

* Fri Mar 25 2011 Bartłomiej Zimoń <cactus@pld-linux.org> 62b759e
- fix headers from gentoo

* Mon Mar 21 2011 Artur Frysiak <artur@frysiak.net> 6487f92
- drop libtool file

* Mon Mar 21 2011 Jakub Bogusz <qboosh@pld-linux.org> d2a58a5
- updated to 0.10 (note: new soname) [fixes CVE-2011-0421]

* Sat Sep 25 2010 Jakub Bogusz <qboosh@pld-linux.org> 82a837b
- verbose man list

* Thu Feb 04 2010 Marcin Banasiak <marcin.banasiak@gmail.com> e6be4ae
- updated to 0.9.3

* Tue Jan 26 2010 Marcin Banasiak <marcin.banasiak@gmail.com> c03a3f0
- updated to 0.9.1

* Sun Nov 02 2008 Marcin Banasiak <marcin.banasiak@gmail.com> 3224bbe
- updated to 0.9

* Thu Jun 19 2008 Marcin Banasiak <marcin.banasiak@gmail.com> 12fe2b5
- updated to 0.8

* Sat May 10 2008 shadzik <shadzik@pld-linux.org> e3a53d9
- ghost symlink
- rel 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 717e415
- tabs in preamble

